---
title: Generate Choice Options Using AI
product: Survey Creator
description: Learn how to integrate an AI service into Survey Creator to generate choice options for questions and fix grammar errors in question titles and choices. This JavaScript form builder demo uses the GPT-3.5 Turbo model.
framework: Vanilla JS
source: https://surveyjs.io/survey-creator/examples/ai-generated-choices/vanillajs
index: https://surveyjs.io/survey-creator/examples/overview.md
---

# Generate Choice Options Using AI (Vanilla JS)

AI-powered services have become ubiquitous in the modern digital world. Chatbots and assistants, such as ChatGPT, DeepSeek, and Microsoft Copilot, help users with writing and coding; voice recognition services transcribe speech to text; neural networks generate images based on descriptions. This demo shows how you can integrate an AI service into Survey Creator to generate choice options for Dropdown, Radio Button Group, and Checkboxes questions based on the provided question title. Click one of the questions on the design surface and select **AI** &rarr; **Generate choices by title** or **Generate more choices**. Another AI-based feature that may be useful for survey authors is spell correction. To test this functionality, make an error in a question title or choice option text and select **AI** &rarr; **Fix grammar errors**.

AI service integration starts with deploying a language model to your application and exposing an API for interaction with that model. Refer to tutorials dedicated to the model of your choice for instructions. This example uses the GPT-3.5 Turbo model deployed on the SurveyJS website.

A deployed AI model receives text prompts and responds with text completions. Your client-side code should construct the text prompts and send them to the model. For example, a prompt to fix spelling errors may look as shown below. Note the addition of the expected response format:

"Fix grammar errors in the 'choices' and 'title' fields: { title: "...", choices: [ ... ] }. Use JSON format as output."

Once the AI service sends back a text completion with a JSON object, update the required question properties (`title` and `choices` in this demo). Refer to the Code tab for a code example.

## Files

### `public/index.html`

```html
<!-- Uncomment the following lines to enable Ace Editor in the JSON Editor tab -->
<!-- 
<script src="https://unpkg.com/ace-builds/src-min-noconflict/ace.js"></script>
<script src="https://unpkg.com/ace-builds/src-min-noconflict/ext-searchbox.js"></script>
<script src="https://unpkg.com/ace-builds/src-min-noconflict/theme-clouds_midnight.js"></script>
-->

<div id="surveyCreatorContainer" style="position: absolute; height: 100%; width: 100%"></div>
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/survey_json.js`

```js
export const surveyJSON = {
  "elements": [
    {
      "type": "dropdown",
      "name": "cars",
      "title": "Which is the brand of your car?",
      "description": "Select \"AI\" -> \"Generate choices by title\" or \"Generate more choices\" to populate the question with automatically created choice options."
    },
    {
      "type": "dropdown",
      "name": "grammar-errors",
      "title": "Tihs queston contain gramar and sppeling erors",
      "description": "Select \"AI\" -> \"Fix grammar errors\" to fix them automatically.",
      "choices": [
        "Itme 1",
        "Ittem 2",
        "Imte 3",
      ]
    },
    {
      "type": "checkbox",
      "name": "js-frameworks",
      "title": "Which JavaScript frameworks do you use?",
      "description": "Select \"AI\" -> \"Generate choices by title\" or \"Generate more choices\" to populate the question with automatically created choice options.",
      "colCount": 2
    },
    {
      "type": "radiogroup",
      "name": "product-discovery",
      "title": "How did you first discover our product?",
      "description": "Select \"AI\" -> \"Generate choices by title\" or \"Generate more choices\" to populate the question with automatically created choice options."
    }
  ]
};
```

### `src/index.js`

```js
import { SurveyCreator } from "survey-creator-js";
import "survey-core/survey.i18n";
import "survey-creator-core/survey-creator-core.i18n";
import { Serializer, Action, ComputedUpdater, createDropdownActionModel, QuestionSelectBase } from "survey-core";
import { surveyJSON } from "./survey_json";
import "survey-core/survey-core.css";
import "survey-creator-core/survey-creator-core.css";
import "./index.css";
import SurveyTheme from "survey-core/themes";
import { registerCreatorTheme } from "survey-creator-core";

registerCreatorTheme(SurveyTheme); // Add predefined Survey Creator UI themes

const creator = new SurveyCreator();

function queryAI(query, callback) {
    const url = `/api/AI/query`;
    try {
        fetch(url, {
            method: "POST",
            headers: {
                "Content-Type": "application/json",
            },
            body: JSON.stringify({ text: query }),
        })
        .then(x => x.json())
        .then(data => callback(data.text, data.error));
    } catch (error) {
        callback(null, error.message);
    }
}
function createAIAction(selectBaseQuestion) {
    const AIOptions = [
        { id: "title-to-choices", title: "Generate choices by title", query: "Generate unique choices by title and replace 'choices' field in this object: " },
        { id: "add-more-choices", title: "Generate more choices", query: "Generate more unique choices by title and add them to the 'choices' field in this object: " },
        { id: "randomize", title: "Randomize choice order", query: "Randomize choice order and replace them in 'choices' field: " },
        { id: "grammar", title: "Fix grammar errors", query: "Fix grammar errors in the 'choices' and 'title' fields: " }
    ];
    const action = createDropdownActionModel({
        id: "AI",   
        title: "AI",
        iconName: "icon-wand-24x24",
        visibleIndex: 8
    }, {
        items: AIOptions,
        onSelectionChanged: (item) => {
            action.title = "AI";
            let query = item.query;
            query += JSON.stringify({
                title: selectBaseQuestion.title,
                choices: selectBaseQuestion.choices.map(c => c.title)
            }) + "\n";
            query += "Use JSON format as output.";

            queryAI(query, (response, error) => {
                if (error) {
                    creator.notify(error, "error")
                } else {
                    const data = JSON.parse(response);
                    selectBaseQuestion.title = data.title;
                    selectBaseQuestion.choices = [];
                    selectBaseQuestion.choices = data.choices;
                }
            });
        },
        verticalPosition: "top",
        horizontalPosition: "center"
    });
    return action;
}
creator.onElementGetActions.add((_, options) => {
    const question = options.element;

    // Create the "AI" adorner for all choice-based questions
    if (question instanceof QuestionSelectBase) {
        const AIAdorner = createAIAction(question);
        options.actions.push(AIAdorner);
    }
});

creator.JSON = surveyJSON;
creator.render("surveyCreatorContainer");
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest",
    "survey-creator-core": "latest",
    "survey-creator-js": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/survey-creator/examples/ai-generated-choices/angular.md)
- [React](https://surveyjs.io/survey-creator/examples/ai-generated-choices/reactjs.md)
- [Vue 3](https://surveyjs.io/survey-creator/examples/ai-generated-choices/vue3js.md)
- [jQuery](https://surveyjs.io/survey-creator/examples/ai-generated-choices/jquery.md)


---
title: Generate Choice Options Using AI
product: Survey Creator
description: Learn how to integrate an AI service into Survey Creator to generate choice options for questions and fix grammar errors in question titles and choices. This JavaScript form builder demo uses the GPT-3.5 Turbo model.
framework: React
source: https://surveyjs.io/survey-creator/examples/ai-generated-choices/reactjs
index: https://surveyjs.io/survey-creator/examples/overview.md
---

# Generate Choice Options Using AI (React)

AI-powered services have become ubiquitous in the modern digital world. Chatbots and assistants, such as ChatGPT, DeepSeek, and Microsoft Copilot, help users with writing and coding; voice recognition services transcribe speech to text; neural networks generate images based on descriptions. This demo shows how you can integrate an AI service into Survey Creator to generate choice options for Dropdown, Radio Button Group, and Checkboxes questions based on the provided question title. Click one of the questions on the design surface and select **AI** &rarr; **Generate choices by title** or **Generate more choices**. Another AI-based feature that may be useful for survey authors is spell correction. To test this functionality, make an error in a question title or choice option text and select **AI** &rarr; **Fix grammar errors**.

AI service integration starts with deploying a language model to your application and exposing an API for interaction with that model. Refer to tutorials dedicated to the model of your choice for instructions. This example uses the GPT-3.5 Turbo model deployed on the SurveyJS website.

A deployed AI model receives text prompts and responds with text completions. Your client-side code should construct the text prompts and send them to the model. For example, a prompt to fix spelling errors may look as shown below. Note the addition of the expected response format:

"Fix grammar errors in the 'choices' and 'title' fields: { title: "...", choices: [ ... ] }. Use JSON format as output."

Once the AI service sends back a text completion with a JSON object, update the required question properties (`title` and `choices` in this demo). Refer to the Code tab for a code example.

## Files

### `public/index.html`

```html
<!-- Uncomment the following lines to enable Ace Editor in the JSON Editor tab -->
<!-- 
<script src="https://unpkg.com/ace-builds/src-min-noconflict/ace.js"></script>
<script src="https://unpkg.com/ace-builds/src-min-noconflict/ext-searchbox.js"></script>
<script src="https://unpkg.com/ace-builds/src-min-noconflict/theme-clouds_midnight.js"></script>
-->

<div id="surveyCreatorContainer" style="position: absolute; height: 100%; width: 100%"></div>
```

### `src/survey_json.js`

```js
export const surveyJSON = {
  "elements": [
    {
      "type": "dropdown",
      "name": "cars",
      "title": "Which is the brand of your car?",
      "description": "Select \"AI\" -> \"Generate choices by title\" or \"Generate more choices\" to populate the question with automatically created choice options."
    },
    {
      "type": "dropdown",
      "name": "grammar-errors",
      "title": "Tihs queston contain gramar and sppeling erors",
      "description": "Select \"AI\" -> \"Fix grammar errors\" to fix them automatically.",
      "choices": [
        "Itme 1",
        "Ittem 2",
        "Imte 3",
      ]
    },
    {
      "type": "checkbox",
      "name": "js-frameworks",
      "title": "Which JavaScript frameworks do you use?",
      "description": "Select \"AI\" -> \"Generate choices by title\" or \"Generate more choices\" to populate the question with automatically created choice options.",
      "colCount": 2
    },
    {
      "type": "radiogroup",
      "name": "product-discovery",
      "title": "How did you first discover our product?",
      "description": "Select \"AI\" -> \"Generate choices by title\" or \"Generate more choices\" to populate the question with automatically created choice options."
    }
  ]
};
```

### `src/SurveyCreatorComponent.jsx`

```js
import React from "react";
import { SurveyCreator, SurveyCreatorComponent } from "survey-creator-react";
import "survey-core/survey.i18n";
import "survey-creator-core/survey-creator-core.i18n";
import { Serializer, Action, ComputedUpdater, createDropdownActionModel, QuestionSelectBase } from "survey-core";
import { surveyJSON } from "./survey_json";
import "survey-core/survey-core.css";
import "survey-creator-core/survey-creator-core.css";
import "./index.css";

import SurveyTheme from "survey-core/themes";
import { registerCreatorTheme } from "survey-creator-core";

registerCreatorTheme(SurveyTheme); // Add predefined Survey Creator UI themes

function SurveyCreatorRenderComponent() {
    const creator = new SurveyCreator();
    function queryAI(query, callback) {
        const url = `/api/AI/query`;
        try {
            fetch(url, {
                method: "POST",
                headers: {
                    "Content-Type": "application/json",
                },
                body: JSON.stringify({ text: query }),
            })
            .then(x => x.json())
            .then(data => callback(data.text, data.error));
        } catch (error) {
            callback(null, error.message);
        }
    }
    function createAIAction(selectBaseQuestion) {
        const AIOptions = [
            { id: "title-to-choices", title: "Generate choices by title", query: "Generate unique choices by title and replace 'choices' field in this object: " },
            { id: "add-more-choices", title: "Generate more choices", query: "Generate more unique choices by title and add them to the 'choices' field in this object: " },
            { id: "randomize", title: "Randomize choice order", query: "Randomize choice order and replace them in 'choices' field: " },
            { id: "grammar", title: "Fix grammar errors", query: "Fix grammar errors in the 'choices' and 'title' fields: " }
        ];
        const action = createDropdownActionModel({
            id: "AI",   
            title: "AI",
            iconName: "icon-wand-24x24",
            visibleIndex: 8
        }, {
            items: AIOptions,
            onSelectionChanged: (item) => {
                action.title = "AI";
                let query = item.query;
                query += JSON.stringify({
                    title: selectBaseQuestion.title,
                    choices: selectBaseQuestion.choices.map(c => c.title)
                }) + "\n";
                query += "Use JSON format as output.";
    
                queryAI(query, (response, error) => {
                    if (error) {
                        creator.notify(error, "error")
                    } else {
                        const data = JSON.parse(response);
                        selectBaseQuestion.title = data.title;
                        selectBaseQuestion.choices = [];
                        selectBaseQuestion.choices = data.choices;
                    }
                });
            },
            verticalPosition: "top",
            horizontalPosition: "center"
        });
        return action;
    }
    creator.onElementGetActions.add((_, options) => {
        const question = options.element;
    
        // Create the "AI" adorner for all choice-based questions
        if (question instanceof QuestionSelectBase) {
            const AIAdorner = createAIAction(question);
            options.actions.push(AIAdorner);
        }
    });
    
    creator.JSON = surveyJSON;
    return (<SurveyCreatorComponent creator={creator} />);
}

export default SurveyCreatorRenderComponent;
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyCreatorRenderComponent from "./SurveyCreatorComponent";

const root = createRoot(document.getElementById("surveyCreatorContainer"));
root.render(<SurveyCreatorRenderComponent />);
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest",
    "survey-creator-core": "latest",
    "survey-creator-react": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/survey-creator/examples/ai-generated-choices/angular.md)
- [Vue 3](https://surveyjs.io/survey-creator/examples/ai-generated-choices/vue3js.md)
- [jQuery](https://surveyjs.io/survey-creator/examples/ai-generated-choices/jquery.md)
- [Vanilla JS](https://surveyjs.io/survey-creator/examples/ai-generated-choices/vanillajs.md)


---
title: Generate Choice Options Using AI
product: Survey Creator
description: Learn how to integrate an AI service into Survey Creator to generate choice options for questions and fix grammar errors in question titles and choices. This JavaScript form builder demo uses the GPT-3.5 Turbo model.
framework: Angular
source: https://surveyjs.io/survey-creator/examples/ai-generated-choices/angular
index: https://surveyjs.io/survey-creator/examples/overview.md
---

# Generate Choice Options Using AI (Angular)

AI-powered services have become ubiquitous in the modern digital world. Chatbots and assistants, such as ChatGPT, DeepSeek, and Microsoft Copilot, help users with writing and coding; voice recognition services transcribe speech to text; neural networks generate images based on descriptions. This demo shows how you can integrate an AI service into Survey Creator to generate choice options for Dropdown, Radio Button Group, and Checkboxes questions based on the provided question title. Click one of the questions on the design surface and select **AI** &rarr; **Generate choices by title** or **Generate more choices**. Another AI-based feature that may be useful for survey authors is spell correction. To test this functionality, make an error in a question title or choice option text and select **AI** &rarr; **Fix grammar errors**.

AI service integration starts with deploying a language model to your application and exposing an API for interaction with that model. Refer to tutorials dedicated to the model of your choice for instructions. This example uses the GPT-3.5 Turbo model deployed on the SurveyJS website.

A deployed AI model receives text prompts and responds with text completions. Your client-side code should construct the text prompts and send them to the model. For example, a prompt to fix spelling errors may look as shown below. Note the addition of the expected response format:

"Fix grammar errors in the 'choices' and 'title' fields: { title: "...", choices: [ ... ] }. Use JSON format as output."

Once the AI service sends back a text completion with a JSON object, update the required question properties (`title` and `choices` in this demo). Refer to the Code tab for a code example.

## Files

### `src/app/components/creator.component.css`

```css
/* You can define custom CSS rules here */
```

### `src/app/components/creator.component.html`

```html
<div style="position: fixed; top: 0; bottom: 0; right: 0; left: 0;">
    <survey-creator [model]="model"></survey-creator>
</div>
```

### `src/app/components/survey_json.js`

```js
export const surveyJSON = {
  "elements": [
    {
      "type": "dropdown",
      "name": "cars",
      "title": "Which is the brand of your car?",
      "description": "Select \"AI\" -> \"Generate choices by title\" or \"Generate more choices\" to populate the question with automatically created choice options."
    },
    {
      "type": "dropdown",
      "name": "grammar-errors",
      "title": "Tihs queston contain gramar and sppeling erors",
      "description": "Select \"AI\" -> \"Fix grammar errors\" to fix them automatically.",
      "choices": [
        "Itme 1",
        "Ittem 2",
        "Imte 3",
      ]
    },
    {
      "type": "checkbox",
      "name": "js-frameworks",
      "title": "Which JavaScript frameworks do you use?",
      "description": "Select \"AI\" -> \"Generate choices by title\" or \"Generate more choices\" to populate the question with automatically created choice options.",
      "colCount": 2
    },
    {
      "type": "radiogroup",
      "name": "product-discovery",
      "title": "How did you first discover our product?",
      "description": "Select \"AI\" -> \"Generate choices by title\" or \"Generate more choices\" to populate the question with automatically created choice options."
    }
  ]
};
```

### `src/app/components/creator.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { SurveyCreatorModel } from "survey-creator-core";
import "survey-core/survey.i18n";
import "survey-creator-core/survey-creator-core.i18n";
import { Serializer, Action, ComputedUpdater, createDropdownActionModel, QuestionSelectBase } from "survey-core";
import { surveyJSON } from "./survey_json";
import "survey-core/survey-core.css";
import "survey-creator-core/survey-creator-core.css";

import SurveyTheme from "survey-core/themes";
import { registerCreatorTheme } from "survey-creator-core";

registerCreatorTheme(SurveyTheme); // Add predefined Survey Creator UI themes

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey-creator",
    templateUrl: "./creator.component.html",
    styleUrls: ["./creator.component.css"]
})
export class SurveyCreatorComponent implements OnInit {
    model: SurveyCreatorModel;
    ngOnInit() {
        const creator = new SurveyCreatorModel();
        function queryAI(query, callback) {
            const url = `/api/AI/query`;
            try {
                fetch(url, {
                    method: "POST",
                    headers: {
                        "Content-Type": "application/json",
                    },
                    body: JSON.stringify({ text: query }),
                })
                .then(x => x.json())
                .then(data => callback(data.text, data.error));
            } catch (error) {
                callback(null, error.message);
            }
        }
        function createAIAction(selectBaseQuestion) {
            const AIOptions = [
                { id: "title-to-choices", title: "Generate choices by title", query: "Generate unique choices by title and replace 'choices' field in this object: " },
                { id: "add-more-choices", title: "Generate more choices", query: "Generate more unique choices by title and add them to the 'choices' field in this object: " },
                { id: "randomize", title: "Randomize choice order", query: "Randomize choice order and replace them in 'choices' field: " },
                { id: "grammar", title: "Fix grammar errors", query: "Fix grammar errors in the 'choices' and 'title' fields: " }
            ];
            const action = createDropdownActionModel({
                id: "AI",   
                title: "AI",
                iconName: "icon-wand-24x24",
                visibleIndex: 8
            }, {
                items: AIOptions,
                onSelectionChanged: (item) => {
                    action.title = "AI";
                    let query = item.query;
                    query += JSON.stringify({
                        title: selectBaseQuestion.title,
                        choices: selectBaseQuestion.choices.map(c => c.title)
                    }) + "\n";
                    query += "Use JSON format as output.";
        
                    queryAI(query, (response, error) => {
                        if (error) {
                            creator.notify(error, "error")
                        } else {
                            const data = JSON.parse(response);
                            selectBaseQuestion.title = data.title;
                            selectBaseQuestion.choices = [];
                            selectBaseQuestion.choices = data.choices;
                        }
                    });
                },
                verticalPosition: "top",
                horizontalPosition: "center"
            });
            return action;
        }
        creator.onElementGetActions.add((_, options) => {
            const question = options.element;
        
            // Create the "AI" adorner for all choice-based questions
            if (question instanceof QuestionSelectBase) {
                const AIAdorner = createAIAction(question);
                options.actions.push(AIAdorner);
            }
        });
        
        creator.JSON = surveyJSON;
        this.model = creator;
    }
}
```

### `src/app/app.component.html`

```html
<component-survey-creator></component-survey-creator>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html"
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { AppComponent } from "./app.component";
import { SurveyCreatorModule } from "survey-creator-angular";
import { SurveyCreatorComponent } from "./components/creator.component";

@NgModule({
    declarations: [AppComponent, SurveyCreatorComponent],
    imports: [BrowserModule, SurveyCreatorModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<app-root></app-root>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css
/* You can add global styles to this file and import other style files */
```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css"  ],
      "scripts": [  ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-angular-ui": "latest",
    "survey-creator-core": "latest",
    "survey-core": "latest",
    "survey-creator-angular": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~13.0.0",
    "@angular/cli": "~13.0.0",
    "@types/jasmine": "3.6.3",
    "@types/jasminewd2": "2.0.8",
    "@types/node": "14.14.28",
    "codelyzer": "6.0.1",
    "jasmine-core": "3.6.0",
    "jasmine-spec-reporter": "6.0.0",
    "karma": "6.1.1",
    "karma-chrome-launcher": "3.1.0",
    "karma-coverage-istanbul-reporter": "3.0.3",
    "karma-jasmine": "4.0.1",
    "karma-jasmine-html-reporter": "1.5.4",
    "protractor": "7.0.0",
    "ts-node": "9.1.1",
    "tslint": "~6.1.3",
    "typescript": "4.1.5"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/survey-creator/examples/ai-generated-choices/reactjs.md)
- [Vue 3](https://surveyjs.io/survey-creator/examples/ai-generated-choices/vue3js.md)
- [jQuery](https://surveyjs.io/survey-creator/examples/ai-generated-choices/jquery.md)
- [Vanilla JS](https://surveyjs.io/survey-creator/examples/ai-generated-choices/vanillajs.md)
